Subject: Re: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Visuwesh <[email-masked]>
Date: Mon, 20 Jun 2022 17:44:26 +0530

[திங்கள் ஜூன் 20, 2022] Lars Ingebrigtsen wrote:

> Colin Baxter <[email-masked]> writes:
>
>> I suppose the Lucid issue with no key-navigation of a popup menu is not
>> so important since the problem disappears (for me) once the Lucid
>> compiled emacs is installed.
>
> It's just interesting to find out what's going on here -- there might be
> other problems in the same area.
>
> Copying src/emacs and src/emacs.pdmp to /tmp and executing /tmp/emacs
> also makes the problem disappear.

Weird... I can use arrow keys just fine here in a Lucid build.  My emacs
executable lives in src/emacs and my PATH contains,

    ~/lib/ports/emacs/lib-src:~/lib/ports/emacs/src

where ~/lib/ports/emacs is where I have the Emacs repo cloned.

The way I launch Emacs doesn't seem to matter either: I tried
`./src/emacs -Q' and `emacs -Q' and both don't show the problem.  If it
is of any help, `xrdb -query' prints,

    *customization:	-color

[ To be clear, I have no Xresources file anywhere in my home directory.  ]